List fees plans | Moov Documentation

List fees plans

List all fee plans available for use by an account. This is intended to be used by an account when selecting a fee plan to apply to a connected account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.read scope.

GET

/accounts/{accountID}/fee-plans

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/fee-plans" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.feePlans.listFeePlans({
    accountID: "b3d59179-f74e-4ee8-b123-33220b3c7d4b",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->feePlans->listByAccount(
    accountID: 'b3d59179-f74e-4ee8-b123-33220b3c7d4b'
);

if ($response->feePlans !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListFeePlansResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListFeePlansResponse res = sdk.feePlans().listFeePlans()
                .accountID("b3d59179-f74e-4ee8-b123-33220b3c7d4b")
                .call();

if (res.feePlans().isPresent()) {
            System.out.println(res.feePlans().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.fee_plans.list_fee_plans(account_id="b3d59179-f74e-4ee8-b123-33220b3c7d4b")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.fee_plans.list_fee_plans(account_id: 'b3d59179-f74e-4ee8-b123-33220b3c7d4b')

unless res.fee_plans.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.FeePlans.ListFeePlansAsync(accountID: "b3d59179-f74e-4ee8-b123-33220b3c7d4b");

// handle response

Example

[
  {
    "planID": "string",
    "name": "Fixed Rate Merchant Plan",
    "description": "string",
    "cardAcquiringModel": "cost-plus",
    "billableFees": [
      {
        "billableFeeID": "9d957d33-1a9a-47aa-9460-fe1a90f003dd",
        "billableEvent": "card-auth-volume",
        "feeName": "Card decline fee",
        "feeModel": "fixed",
        "feeCategory": "card-acquiring",
        "feeProperties": {
          "fixedAmount": {
            "currency": "USD",
            "valueDecimal": "0.0195"
          },
          "variableRate": "0.15",
          "minPerTransaction": {
            "currency": "USD",
            "valueDecimal": "0.0195"
          },
          "maxPerTransaction": {
            "currency": "USD",
            "valueDecimal": "0.035"
          },
          "volumeRanges": [
            {
              "fromValue": 1,
              "toValue": 2,
              "flatAmount": {
                "currency": "USD",
                "valueDecimal": "1.23"
              },
              "perUnitAmount": {
                "currency": "USD",
                "valueDecimal": "1.23"
              }
            }
          ]
        },
        "feeConditions": {
          "transactionType": [
            "decline"
          ]
        }
      }
    ],
    "minimumCommitment": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "monthlyPlatformFee": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "createdAt": "2019-08-24T14:15:22Z"
  }
]